Index: src/ResolvExpr/PtrsCastable.cc
===================================================================
--- src/ResolvExpr/PtrsCastable.cc	(revision ea6332d2c7319372654f557cb69ec651fdc92331)
+++ src/ResolvExpr/PtrsCastable.cc	(revision f0ecf9bfb3ccc333894542767cb1c491f7e79993)
@@ -50,25 +50,27 @@
 	};
 
-	int objectCast( Type *src, const TypeEnvironment &env, const SymTab::Indexer &indexer ) {
-		if ( dynamic_cast< FunctionType* >( src ) ) {
-			return -1;
-		} else if ( TypeInstType *typeInst = dynamic_cast< TypeInstType* >( src ) ) {
-			EqvClass eqvClass;
-			if ( NamedTypeDecl *ntDecl = indexer.lookupType( typeInst->get_name() ) ) {
-				if ( TypeDecl *tyDecl = dynamic_cast< TypeDecl* >( ntDecl ) ) {
-					if ( tyDecl->get_kind() == TypeDecl::Ftype ) {
+	namespace {
+		int objectCast( Type *src, const TypeEnvironment &env, const SymTab::Indexer &indexer ) {
+			if ( dynamic_cast< FunctionType* >( src ) ) {
+				return -1;
+			} else if ( TypeInstType *typeInst = dynamic_cast< TypeInstType* >( src ) ) {
+				EqvClass eqvClass;
+				if ( NamedTypeDecl *ntDecl = indexer.lookupType( typeInst->get_name() ) ) {
+					if ( TypeDecl *tyDecl = dynamic_cast< TypeDecl* >( ntDecl ) ) {
+						if ( tyDecl->get_kind() == TypeDecl::Ftype ) {
+							return -1;
+						} // if
+					} //if
+				} else if ( env.lookup( typeInst->get_name(), eqvClass ) ) {
+					if ( eqvClass.data.kind == TypeDecl::Ftype ) {
 						return -1;
 					} // if
-				} //if
-			} else if ( env.lookup( typeInst->get_name(), eqvClass ) ) {
-				if ( eqvClass.data.kind == TypeDecl::Ftype ) {
-					return -1;
 				} // if
-			} // if
-		} //if
-		return 1;
-	}
-	int functionCast( Type *src, const TypeEnvironment &env, const SymTab::Indexer &indexer ) {
-		return -1 * objectCast( src, env, indexer );  // reverse the sense of objectCast
+			} //if
+			return 1;
+		}
+		int functionCast( Type *src, const TypeEnvironment &env, const SymTab::Indexer &indexer ) {
+			return -1 * objectCast( src, env, indexer );  // reverse the sense of objectCast
+		}
 	}
 
@@ -93,34 +95,34 @@
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) VoidType *voidType) {
+	void PtrsCastable::visit( VoidType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) BasicType *basicType) {
+	void PtrsCastable::visit( BasicType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) PointerType *pointerType) {
+	void PtrsCastable::visit( PointerType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) ArrayType *arrayType) {
+	void PtrsCastable::visit( ArrayType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) FunctionType *functionType) {
+	void PtrsCastable::visit( FunctionType * ) {
 		// result = -1;
 		result = functionCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) StructInstType *inst) {
+	void PtrsCastable::visit( StructInstType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) UnionInstType *inst) {
+	void PtrsCastable::visit( UnionInstType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) EnumInstType *inst) {
+	void PtrsCastable::visit( EnumInstType * ) {
 		if ( dynamic_cast< EnumInstType* >( dest ) ) {
 			result = 1;
@@ -136,5 +138,5 @@
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) TraitInstType *inst ) {}
+	void PtrsCastable::visit( TraitInstType * ) {}
 
 	void PtrsCastable::visit(TypeInstType *inst) {
@@ -143,17 +145,17 @@
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) TupleType *tupleType) {
+	void PtrsCastable::visit( TupleType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) VarArgsType *varArgsType) {
+	void PtrsCastable::visit( VarArgsType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) ZeroType *zeroType) {
+	void PtrsCastable::visit( ZeroType * ) {
 		result = objectCast( dest, env, indexer );
 	}
 
-	void PtrsCastable::visit( __attribute__((unused)) OneType *oneType) {
+	void PtrsCastable::visit( OneType * ) {
 		result = objectCast( dest, env, indexer );
 	}
